
QGIS Application - Bug report #20204

QGIS crashes when clicking on attribute table header and clicking on sort

2018-10-24 11:51 AM - Reginald Carlier

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:3.2.3 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 28025

Description

As I wanted to sort the table on multiple fields I clicked on the header and after that I clicked on sort.

Result: QGIS 3.2.3 crashes.

Regards,

User Feedback

h2. Report Details

Crash ID: dbe9e8ed85de21334216b3dbd637d3f410b8317b

Stack Trace

QBitArray::QBitArray :

QgsProviderMetadata::description :

QgsExpressionBuilderWidget::updateFunctionTree :

QgsExpressionBuilderWidget::QgsExpressionBuilderWidget :

QgsDualView::modifySort :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :
QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-10-24 01:05 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

It happens with all tables from any kind of datasource? try with a new/clean profile.

#2 - 2018-10-24 01:54 PM - Reginald Carlier

I tested it on a shapefile and on a postgis layer. both crashed.

At the moment I cannot delete my profile because there are too much scripts and plugins I need.

I tried it on a PC of a colleague and there I was able to sort the field.

It seams like my profile is messed up.

thanks for reply

#3 - 2018-10-24 02:39 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Reginald Carlier wrote:

I tested it on a shapefile and on a postgis layer. both crashed.
At the moment I cannot delete my profile because there are too much scripts and plugins I need.

I tried it on a PC of a colleague and there I was able to sort the field.

It seams like my profile is messed up.

or possibly is caused by a 3rd party plugin.

#4 - 2018-10-24 03:49 PM - Reginald Carlier

Giovanni,

Can you say how I can start the installed qgis with a clean profile?

Or is there a method to disable all plugins and then turn them on one by one?

Thx,

#5 - 2018-10-24 03:51 PM - Giovanni Manghi

Reginald Carlier wrote:

Giovanni,

Can you say how I can start the installed qgis with a clean profile?

Or is there a method to disable all plugins and then turn them on one by one?

Thx,

in qgis3 you can create as many profiles as you want/need and start/use qgis with one of them.

To disable plugins just go in plugin manager and disable them, or start qgis with the --no-plugins switch.

#6 - 2018-10-24 03:52 PM - Giovanni Manghi

Giovanni Manghi wrote:

Reginald Carlier wrote:

Giovanni,

Can you say how I can start the installed qgis with a clean profile?

Or is there a method to disable all plugins and then turn them on one by one?

Thx,

in qgis3 you can create as many profiles as you want/need and start/use qgis with one of them.

also you don't need to delete profiles when you create new ones.
#7 - 2018-10-24 05:24 PM - Harrissou Santanna

Can you say how I can start the installed qgis with a clean profile?

Menu Settings --> User Profiles --> new profile

#8 - 2018-10-26 02:58 PM - Reginald Carlier

Harrissou Santanna wrote:

Can you say how I can start the installed qgis with a clean profile?

Menu Settings --> User Profiles --> new profile

Thanks sharing this ;-)

#9 - 2018-10-27 04:57 PM - Giovanni Manghi

Thanks sharing this ;-)

does it crash on a new profile?

#10 - 2018-10-29 08:02 AM - Reginald Carlier

Giovanni Manghi wrote:

Thanks sharing this ;-)

does it crash on a new profile?

No, on a new profile it works fine.

It must be one of the plugins I installed that is making QGIS unstable.

I will have to look into it.

Regards,
